#include <bits/stdc++.h>

using namespace std;

int main(){
    ios_base::sync_with_stdio(false); cin.tie(0); cout.tie(0);

    int n, k, zbir = 0, temp;

    cin >> n >> k;
    vector<int> lista(n);

    if(k == 0){
        for(int i = 0; i < n; i++){
            cin >> temp;
            zbir += temp;
        }
        cout << zbir;
        return 0;
    }
    if(k == 1){
        for(int i = 0; i < n; i++){
            cin >> lista[i];
        }
        for(int i = 0; i < n; i++){
            for(int j = i; j < n; j++){
                for(int k = i; k <= j; k++){
                    zbir += lista[k];
                }
            }
        }
        //cout << endl;
    }

    cout << zbir;
    return 0;
}